summaryrefslogtreecommitdiffstats
path: root/source/x/ibus/ibus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/ibus/ibus.SlackBuild')
-rwxr-xr-xsource/x/ibus/ibus.SlackBuild17
1 files changed, 11 insertions, 6 deletions
diff --git a/source/x/ibus/ibus.SlackBuild b/source/x/ibus/ibus.SlackBuild
index 27b9629ee..a2a5c5f57 100755
--- a/source/x/ibus/ibus.SlackBuild
+++ b/source/x/ibus/ibus.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2020, 2022, 2023 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2020, 2022, 2023, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ibus
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -117,6 +117,7 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-python-library \
--with-python=python3 \
+ --disable-python2 \
--with-unicode-emoji-dir=$TMP/ibus-$VERSION \
--with-ucd-dir=$TMP/ibus-$VERSION \
--disable-systemd-services \
@@ -124,7 +125,14 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# cleanup temporary files:
+rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python*/site-packages/gi
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cu
+t -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Compress manual pages:
find $PKG/usr/man -type f -exec gzip -9 {} \+
@@ -139,9 +147,6 @@ install -m 644 $CWD/ibus-autostart-plasma.desktop $PKG/etc/xdg/autostart/
install -m 755 $CWD/ibus-autostart $PKG/usr/bin/
sed -i "s|LIBDIRSUFFIX|$LIBDIRSUFFIX|" $PKG/usr/bin/ibus-autostart
-# cleanup temporary files
-rm -rf $PKG/usr/lib$LIBDIRSUFFIX/python2.7/site-packages/gi
-
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la